Clara Train: AIAA FAQ

Q: I can’t start AIAA I get a time zone error below

File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/config/__init__.py", line 47, in __init__
    self.timezone = pytz.timezone(str(get_localzone()))
  File "/usr/local/lib/python3.6/dist-packages/pytz/__init__.py", line 181, in timezone
    raise UnknownTimeZoneError(zone)
pytz.exceptions.UnknownTimeZoneError: 'local'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "apps/aas/launcher.py", line 16, in <module>
  File "apps/aas/server.py", line 13, in <module>
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/__init__.py", line 22, in <module>
    config = Config()
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/config/__init__.py", line 49, in __init__
    log('Using default timezone, which is UTC')
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/logger.py", line 7, in log
    from flask_monitoringdashboard import config
ImportError: cannot import name 'config'

TRTIS:: trtis_enabled=
TRTIS:: Backend is not enabled;  Will skip TRTIS server setup
Starting AIAA Server...
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/config/__init__.py", line 47, in __init__
    self.timezone = pytz.timezone(str(get_localzone()))
  File "/usr/local/lib/python3.6/dist-packages/pytz/__init__.py", line 181, in timezone
    raise UnknownTimeZoneError(zone)
pytz.exceptions.UnknownTimeZoneError: 'local'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "apps/aas/launcher.py", line 16, in <module>
  File "apps/aas/server.py", line 13, in <module>
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/__init__.py", line 22, in <module>
    config = Config()
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/config/__init__.py", line 49, in __init__
    log('Using default timezone, which is UTC')
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/logger.py", line 7, in log
    from flask_monitoringdashboard import config
ImportError: cannot import name 'config'
AIAA Server stopped!!!
Singularity clara-train-sdk-v2-api.img:/working/docker_brain/nvidia/jupyterhub/bolson/launch_folder> start_aas.sh --engine TRTIS  --workspace ./
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/config/__init__.py", line 47, in __init__
    self.timezone = pytz.timezone(str(get_localzone()))
  File "/usr/local/lib/python3.6/dist-packages/pytz/__init__.py", line 181, in timezone
    raise UnknownTimeZoneError(zone)
pytz.exceptions.UnknownTimeZoneError: 'local'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "apps/aas/launcher.py", line 16, in <module>
  File "apps/aas/server.py", line 13, in <module>
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/__init__.py", line 22, in <module>
    config = Config()
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/config/__init__.py", line 49, in __init__
    log('Using default timezone, which is UTC')
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/logger.py", line 7, in log
    from flask_monitoringdashboard import config
ImportError: cannot import name 'config'

TRTIS:: trtis_enabled=
TRTIS:: Backend is not enabled;  Will skip TRTIS server setup
Starting AIAA Server...
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/config/__init__.py", line 47, in __init__
    self.timezone = pytz.timezone(str(get_localzone()))
  File "/usr/local/lib/python3.6/dist-packages/pytz/__init__.py", line 181, in timezone
    raise UnknownTimeZoneError(zone)
pytz.exceptions.UnknownTimeZoneError: 'local'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "apps/aas/launcher.py", line 16, in <module>
  File "apps/aas/server.py", line 13, in <module>
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/__init__.py", line 22, in <module>
    config = Config()
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/config/__init__.py", line 49, in __init__
    log('Using default timezone, which is UTC')
  File "/usr/local/lib/python3.6/dist-packages/flask_monitoringdashboard/core/logger.py", line 7, in log
    from flask_monitoringdashboard import config
ImportError: cannot import name 'config'
AIAA Server stopped!!!

A: your time zone is not set up in correctly.

export TZ=Pacific/Honolulu

then try starting the AIAA in an empty folder